LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XScenariosSupplier Interface Referencepublished

provides access to a collection of scenarios. More...

`import"XScenariosSupplier.idl";`

Inheritance diagram for XScenariosSupplier:

## Public Member Functions
com::sun::star::sheet::XScenarios | getScenarios ()
| returns the collection of scenarios. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of scenarios.

## Member Function Documentation

## ◆ getScenarios()

com::sun::star::sheet::XScenarios getScenarios | ( |  | ) |

returns the collection of scenarios.

See also
  com::sun::star::sheet::Scenarios

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XScenariosSupplier.idl